> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.anchorstyles.md).

# AnchorStyles

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a control anchors to the edges of its container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum AnchorStyles : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum AnchorStyles As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                  |
| ---------- | ------------------------------------------------------------ |
| **Bottom** | The control is anchored to the bottom edge of its container. |
| **Left**   | The control is anchored to the left edge of its container.   |
| **None**   | The control is not anchored to any edges of its container.   |
| **Right**  | The control is anchored to the right edge of its container.  |
| **Top**    | The control is anchored to the top edge of its container.    |

## Used By

| Name                                                                                                                      | Description                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| [Control.Anchor](/api/wisej.web/general/control.md#anchor)                                                                | Returns or sets the edges of the container to which a control is bound and determines how a control is resized with its parent. |
| [Control.ResizableEdges](/api/wisej.web/general/control.md#resizableedges)                                                | Returns or sets the edges of the control that can be dragged to resize the control.                                             |
| [Label.Anchor](/api/wisej.web/content/wisej.web.label.md#anchor)                                                          | Returns or sets the edges of the container to which a control is bound and determines how a control is resized with its parent. |
| [ControlExtensions.Anchor](/api/wisej.web.markup/extensions/wisej.web.markup.controlextensions.md#anchor-control-anchors) | Sets the anchor styles for the specified control.                                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.anchorstyles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
